Subject: Re: [bitcoin-dev] Memory leaks?

From: Tom Zander <[email-masked]>
Date: Wed, 14 Oct 2015 08:58:48 +0100

On Tuesday 13 Oct 2015 14:56:08 Jonathan Toomim  via bitcoin-dev wrote:
> Does anybody have any guesses where we might be leaking memory, or what is
> using the additional 2.4 GB? I've been using minrelaytxfee=0.00003 or
> similar on my nodes. Maybe there's a leak in the minrelaytxfee code path?
> Has anyone else seen something similar?

I suggest running it in valgrind with --leak-check=full for 10 minutes.

  valgrind --leak-check=full src/bitcoind 2>&1 | tee out

This at least will show you any memory leaks at exit.
Naturally, the leaks you observe may just be design issues where cache can 
grow to much and when the cache is cleaned on shutdown you won't see it in the 
valgrind output.